<?php
namespace WPDeveloper\BetterDocs\Editors\BlockEditor\Patterns;


class DocsPage extends BasePattern {

    public function register() {
        register_block_pattern(
            'betterdocs/docs-page-layout-1',
            array(
                'title'         => __( 'Docs Page Grid Layout', 'betterdocs' ),
                'description'   => _x( 'Docs Page Grid Layout', 'Block pattern description', 'betterdocs' ),
                'content'       => '<!-- wp:group {"layout":{"inherit":true,"contentSize":"1400px","type":"constrained"}} -->
                    <div class="wp-block-group"><!-- wp:betterdocs/searchbox {"blockId":"betterdocs-searchbox-5n9d294","blockMeta":{"desktop":" .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper { margin-top: 28px; margin-right: 0px; margin-left: 0px; margin-bottom: 28px; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search { transition: background 0.5s; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search:hover { } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform { background: #ffffff; color:#595959; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform:hover{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder { color:#595959; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform{ padding-top: 22px; padding-right: 15px; padding-left: 15px; padding-bottom: 22px; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform .betterdocs-search-field, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .betterdocs-search-field{ font-size: 14px; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform svg.docs-search-icon, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform svg.docs-search-icon { fill: #444b54; width:30px; height: auto; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-close .close-line, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-close .close-line { fill: #ff697b; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-loader, .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-close .close-border, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-loader, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-close .close-border { fill: #444b54; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result { width:100%; max-width:1600px; background-color: #ffffff; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result:hover{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li { transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover { } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover a span, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover a span{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li a span, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li a span { padding: 10px; color: #444b54; } .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                        \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-category{\n                    color:#595959;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n              font-size: 18px;\n               \n               \n               \n               \n               \n               \n          \n                    color:#ffffff;\n                    background-color:#24cc8f;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 15px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 15px;\n        \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit:hover {\n                    background-color:#24cc8f;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n            margin-top: 24px;\n            margin-right: 0px;\n            margin-left: 0px;\n            margin-bottom: 0px;\n        \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    color:#99a3ca;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 8px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 8px;\n        \n            \n                    \n             \n             \n             \n             \n        \n            \n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                    background-color:#fff;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    color:#8588a6;\n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                }\n    ","tab":" .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                \n               \n               \n               \n          ;\n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                \n               \n               \n               \n          \n            }\n    ","mobile":" .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                    \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n               \n               \n          \n                    \n               \n               \n               \n          \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    \n               \n               \n               \n          \n                    \n    \n         \n        \n                 \n    \n            \n        \n    \n                    \n                 \n                 \n                 \n                 \n    \n            \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    \n               \n               \n               \n          \n                }\n    "},"boxPaddingTop":"","boxPaddingRight":"","boxPaddingBottom":"","boxPaddingLeft":""} /-->

                    <!-- wp:betterdocs/categorygrid {"blockId":"betterdocs-categorygrid-tzw8mo6","blockMeta":{"desktop":".betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper{ \u002d\u002dcolumn: 3; margin-top: 28px; margin-right: 0px; margin-left: 0px; margin-bottom: 28px;  }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper.masonry \u003e .betterdocs-single-category-wrapper{ margin-bottom:10px; }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner{  background-color: #ffffff;   }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-title, .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-title a{ color: #528ffe; font-size: 20px;  }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-header .betterdocs-category-header-inner{  padding-top: 0px; padding-right: 0px; padding-left: 0px; padding-bottom: 20px;  border-top-width: 0px; border-right-width: 0px; border-left-width: 0px; border-bottom-width: 2px; border-color: #528ffe; border-style: solid;  }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-header{  background-color: #ffffff;   }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-items-counts span{  font-size: 15px; min-height:30px;min-width:30px;color: #ffffff; }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-items-counts{  background-color: #528ffe;   }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-footer a.betterdocs-category-link-btn{ color: #528ffe; font-size: 16px;  background-color: #ffffff;   }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-footer{ text-align: left; }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li:not(.betterdocs-nested-category-wrapper) a{  font-size: 15px; color: #566e8b; }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-body{  background-color: #ffffff;   }.betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-body .betterdocs-articles-list li i, .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper i{ font-size:15px; }","tab":"","mobile":"","desktopHover":"","tabHover":"","mobileHover":"","extraStyles":" .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-header{ transition:background 0.5s; } .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-header .betterdocs-category-header-inner{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-items-counts{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-footer a.betterdocs-category-link-btn{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-categorygrid-tzw8mo6.betterdocs-category-grid-wrapper .betterdocs-category-grid-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-body{ transition:background 0.5s; }"},"gridPaddingisLinked":false,"gridPaddingTop":"","gridPaddingBottom":""} /-->

                    <!-- wp:betterdocs/faq {"blockId":"betterdocs-faq-8q191u5","blockMeta":{"desktop":".betterdocs-faq-8q191u5.betterdocs-faq-wrapper{  background-color: #ffffff00;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-section-title{  font-size: 30px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-title h2{  font-size: 25px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group{  background-color: #f0f1f5;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content{  background-color: #ffffff;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-name{  font-size: 17px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content p{  font-size: 17px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-icon-group \u003e svg path{ fill: #2f3b48; }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post \u003e svg, .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-icon-group \u003e svg{ width:15px; }","tab":"","mobile":"","desktopHover":"","tabHover":"","mobileHover":"","extraStyles":" .betterdocs-faq-8q191u5.betterdocs-faq-wrapper{ transition:background 0.5s; } .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; } .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; }"},"sectionTitlePaddingisLinked":false,"sectionTitlePaddingTop":"","containerSectionPaddingTop":"","containerSectionPaddingRight":"","containerSectionPaddingBottom":"","containerSectionPaddingLeft":""} /--></div>
                    <!-- /wp:group -->',
                'categories'    => array( 'betterdocs-docs-page' ),
                'keywords'      => array( 'betterdocs', 'docs page', 'category grid layout' ),
                'viewportWidth' => 800,
            )
        );

        register_block_pattern(
            'betterdocs/docs-page-layout-2',
            array(
                'title'         => __( 'Docs Page Box layout', 'betterdocs' ),
                'description'   => _x( 'Docs Page Box layout', 'Block pattern description', 'betterdocs' ),
                'content'       => '<!-- wp:group {"layout":{"inherit":true,"contentSize":"1400px","type":"constrained"}} -->
                    <div class="wp-block-group"><!-- wp:betterdocs/searchbox {"blockId":"betterdocs-searchbox-5n9d294","blockMeta":{"desktop":" .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper { margin-top: 28px; margin-right: 0px; margin-left: 0px; margin-bottom: 28px; background-color: #f7f7f7; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search { transition: background 0.5s; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search:hover { } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform { background: #ffffff; color:#595959; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform:hover{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder { color:#595959; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform{ padding-top: 22px; padding-right: 15px; padding-left: 15px; padding-bottom: 22px; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform .betterdocs-search-field, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .betterdocs-search-field{ font-size: 14px; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-searchform svg.docs-search-icon, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform svg.docs-search-icon { fill: #444b54; width:30px; height: auto; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-close .close-line, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-close .close-line { fill: #ff697b; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-loader, .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .docs-search-close .close-border, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-loader, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .docs-search-close .close-border { fill: #444b54; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result { width:100%; max-width:1600px; background-color: #ffffff; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result:hover{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li { transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover { } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover a span, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover a span{ } .betterdocs-searchbox-5n9d294.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li a span, .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li a span { padding: 10px; color: #444b54; } .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                        \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-category{\n                    color:#595959;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n              font-size: 18px;\n               \n               \n               \n               \n               \n               \n          \n                    color:#ffffff;\n                    background-color:#24cc8f;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 15px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 15px;\n        \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit:hover {\n                    background-color:#24cc8f;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n            margin-top: 24px;\n            margin-right: 0px;\n            margin-left: 0px;\n            margin-bottom: 0px;\n        \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    color:#99a3ca;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 8px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 8px;\n        \n            \n                    \n             \n             \n             \n             \n        \n            \n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                    background-color:#fff;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    color:#8588a6;\n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                }\n    ","tab":" .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                \n               \n               \n               \n          ;\n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                \n               \n               \n               \n          \n            }\n    ","mobile":" .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                    \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n               \n               \n          \n                    \n               \n               \n               \n          \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    \n               \n               \n               \n          \n                    \n    \n         \n        \n                 \n    \n            \n        \n    \n                    \n                 \n                 \n                 \n                 \n    \n            \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-5n9d294.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    \n               \n               \n               \n          \n                }\n    "},"boxPaddingTop":"","boxPaddingRight":"","boxPaddingBottom":"","boxPaddingLeft":""} /-->

                    <!-- wp:betterdocs/categorybox {"blockId":"betterdocs-categorybox-stbmbqv","blockMeta":{"desktop":".betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper{  padding-top: 50px; padding-bottom: 50px;  background-color: rgba(255, 255, 255, 0);   margin-top: 28px; margin-right: 0px; margin-left: 0px; margin-bottom: 28px;  }.betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper{ \u002d\u002dcolumn: 3; }.betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper{  background-color: #f8f8fc;   }.betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-icon{ height:80px;width:80px;width:80px; }.betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-title{  font-size: 20px; color: #333333; }.betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-items-counts span{  font-size: 15px; color: #707070; }","tab":"","mobile":"","desktopHover":"","tabHover":"","mobileHover":"","extraStyles":" .betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper{ transition:background 0.5s; } .betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-categorybox-stbmbqv.betterdocs-category-box-wrapper .betterdocs-category-box-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-category-icon{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; }"},"countFontSize":15,"containerSectionPaddingisLinked":false,"containerSectionPaddingTop":"50","containerSectionPaddingRight":"","containerSectionPaddingBottom":"50","containerSectionPaddingLeft":""} /-->

                    <!-- wp:betterdocs/faq {"blockId":"betterdocs-faq-8q191u5","blockMeta":{"desktop":".betterdocs-faq-8q191u5.betterdocs-faq-wrapper{  background-color: #ffffff00;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-section-title{  font-size: 30px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-title h2{  font-size: 25px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group{  background-color: #f0f1f5;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content{  background-color: #ffffff;   }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-name{  font-size: 17px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content p, .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content{  font-size: 17px;  }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-icon-group \u003e svg path{ fill: #2f3b48; }.betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post \u003e svg, .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-post .betterdocs-faq-post-icon-group \u003e svg{ width:15px; }","tab":"","mobile":"","desktopHover":"","tabHover":"","mobileHover":"","extraStyles":" .betterdocs-faq-8q191u5.betterdocs-faq-wrapper{ transition:background 0.5s; } .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; } .betterdocs-faq-8q191u5.betterdocs-faq-wrapper .betterdocs-faq-inner-wrapper .betterdocs-faq-list \u003e li .betterdocs-faq-group .betterdocs-faq-main-content{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; }"},"sectionTitlePaddingisLinked":false,"sectionTitlePaddingTop":"","containerSectionPaddingTop":"","containerSectionPaddingRight":"","containerSectionPaddingBottom":"","containerSectionPaddingLeft":""} /--></div>
                    <!-- /wp:group -->',
                'categories'    => array( 'betterdocs-docs-page' ),
                'keywords'      => array( 'betterdocs', 'docs page', 'category box layout' ),
                'viewportWidth' => 800,
            )
        );
    }
}
