<?php
namespace WPDeveloper\BetterDocs\Editors\BlockEditor\Patterns;


class SingleDocs extends BasePattern {

    public function register() {
        register_block_pattern(
            'betterdocs/single-docs-layout-1',
            array(
                'title'         => __( 'Single Docs Classic Layout', 'betterdocs' ),
                'description'   => _x( 'Single Docs Classic Layout', 'Block pattern description', 'betterdocs' ),
                'content'       => '<!-- wp:group {"style":{"color":{"background":"#f2f4f7"},"spacing":{"padding":{"bottom":"50px"}}},"layout":{"type":"default"}} -->
                    <div class="wp-block-group has-background" style="background-color:#f2f4f7;padding-bottom:50px"><!-- wp:group {"style":{"color":{"background":"#f7f7f7"}},"layout":{"backgroundColor":"#f2f4f7","inherit":true,"contentSize":"1400px","type":"constrained"}} -->
                    <div class="wp-block-group has-background" style="background-color:#f7f7f7"><!-- wp:betterdocs/searchbox {"blockId":"betterdocs-searchbox-qvz0olv","blockMeta":{"desktop":" .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper { margin-top: 28px; margin-right: 0px; margin-left: 0px; margin-bottom: 28px; background-color: #f7f7f7; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search { padding: 0px; transition: background 0.5s; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search:hover, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search:hover { } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform { background: #ffffff; color:#595959; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform:hover, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform:hover{ } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-field::placeholder { color:#595959; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-searchform, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform{ padding-top: 22px; padding-right: 15px; padding-left: 15px; padding-bottom: 22px; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-searchform .betterdocs-search-field, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform .betterdocs-search-field{ font-size: 14px; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-searchform svg.docs-search-icon, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform svg.docs-search-icon { fill: #444b54; width:30px; height: auto; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .docs-search-close .close-line, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .docs-search-close .close-line { fill: #ff697b; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .docs-search-loader, .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .docs-search-close .close-border, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .docs-search-loader, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .docs-search-close .close-border { fill: #444b54; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result { width:100%; max-width:1600px; background-color: #ffffff; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s , background 0.5s; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result:hover, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result:hover{ } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li { transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover { } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li:hover a span, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li:hover a span{ } .betterdocs-searchbox-qvz0olv.betterdocs-searchbox-wrapper .betterdocs-live-search .docs-search-result li a span, .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .docs-search-result li a span { padding: 10px; color: #444b54; } .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                        \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform .betterdocs-search-category{\n                    color:#595959;\n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n              font-size: 18px;\n               \n               \n               \n               \n               \n               \n          \n                    color:#ffffff;\n                    background-color:#24cc8f;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 15px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 15px;\n        \n            \n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit:hover {\n                    background-color:#24cc8f;\n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n            margin-top: 24px;\n            margin-right: 0px;\n            margin-left: 0px;\n            margin-bottom: 0px;\n        \n            \n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    color:#99a3ca;\n                      \n      \n          \n                 \n        \n            \n           \n          \n    \n       \n  \n  \n    \n                    \n            padding-top: 8px;\n            padding-right: 25px;\n            padding-left: 25px;\n            padding-bottom: 8px;\n        \n            \n                    \n             \n             \n             \n             \n        \n            \n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                    background-color:#fff;\n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    color:#8588a6;\n                    \n               \n              font-size: 14px;\n               \n               \n               \n               \n               \n               \n          \n                }\n    ","tab":" .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                \n               \n               \n               \n          ;\n            }\n            .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                \n               \n               \n               \n          \n                  \n    \n         \n        \n                 \n    \n            \n        \n      \n    \n                \n                 \n                 \n                 \n                 \n    \n            \n                \n                 \n                 \n                 \n                 \n    \n            \n            }\n            .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                \n               \n               \n               \n          \n            }\n    ","mobile":" .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-live-search .betterdocs-searchform select{\n                    \n               \n               \n               \n          ;\n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-searchform .search-submit {\n                    \n               \n               \n               \n          \n                    \n               \n               \n               \n          \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword{\n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-keyword{\n                    \n               \n               \n               \n          \n                    \n    \n         \n        \n                 \n    \n            \n        \n    \n                    \n                 \n                 \n                 \n                 \n    \n            \n                    \n                 \n                 \n                 \n                 \n    \n            \n                }\n                .betterdocs-searchbox-qvz0olv.betterdocs-search-form-wrapper .betterdocs-popular-search-keyword .popular-search-title {\n                    \n               \n               \n               \n          \n                }\n    "}} /--></div>
                    <!-- /wp:group -->

                    <!-- wp:group {"layout":{"backgroundColor":"#f2f4f7","inherit":true,"contentSize":"1400px","type":"constrained"}} -->
                    <div class="wp-block-group"><!-- wp:columns {"align":"wide"} -->
                    <div class="wp-block-columns alignwide"><!-- wp:column {"width":"33.33%","layout":{"type":"constrained","contentSize":"100%"}} -->
                    <div class="wp-block-column" style="flex-basis:33.33%"><!-- wp:betterdocs/sidebar {"blockId":"betterdocs-sidebar-bxk62zr","blockMeta":{"desktop":".betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content.betterdocs-category-sidebar{  background-color: #fff;   }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar{ width:100%; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-4 .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-5.betterdocs-background .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-body, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-category-list-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-3 .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-sidebar-content .betterdocs-body, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper{ width:100%; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-category-icon .betterdocs-category-icon-img{ height:24px; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header{  background-color: rgba(255, 255, 255, 0);   }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-category-header .betterdocs-category-title:not(a){ color: #3f5876; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header{  background-color: #5a94ff1a;   }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header{ border-color:#528fff }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-category-header .betterdocs-category-title:not(a), .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-title:not(a){  font-size: 16px;  }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts span, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts span{  font-size: 15px;  }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{  background-color: #528ffe;   }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{  background-color: #591fff;   }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{  background-color: #fff;   }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts span{ color: #fff; }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts span{ color: #2b11e5; }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts span{ color: #fefeff; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li:not(.betterdocs-nested-category-wrapper) a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list li a{  font-size: 14px; color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li:not(.betterdocs-nested-category-wrapper) a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list li a:hover { color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-inner .betterdocs-body .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list li svg{ fill: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content .betterdocs-category-list-wrapper .betterdocs-category-list-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a{ color: #566e8b; font-size: 14px;  }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content .betterdocs-category-list-wrapper .betterdocs-category-list-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover { color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4  .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a{  font-size: 14px; color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4  .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover { color: #566e8b; }.betterdocs-sidebar-bxk62zr.sticky-toc-block-wrapper .sticky-toc-container, .betterdocs-sidebar-bxk62zr .sticky-toc-container{ z-index: 320; }","tab":"","mobile":"","desktopHover":".betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-category-header:hover{  border-style: undefined;  }.betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-body:hover{  border-style: undefined;  }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li:not(.betterdocs-nested-category-wrapper) a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list li a:hover :hover{ color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-inner .betterdocs-body .betterdocs-articles-list li svg, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list li svg:hover{ fill: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content .betterdocs-category-list-wrapper .betterdocs-category-list-inner-wrapper .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-title a:hover :hover{ color: #566e8b; }.betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4  .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-body .betterdocs-articles-list .betterdocs-nested-category-wrapper .betterdocs-nested-category-list li a:hover :hover{ color: #566e8b; }","tabHover":"","mobileHover":"","extraStyles":" .betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content.betterdocs-category-sidebar{ transition:background 0.5s; } .betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-4 .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-5.betterdocs-background .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-body, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-category-list-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-full-sidebar-left.betterdocs-sidebar-layout-3 .betterdocs-category-grid-wrapper, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-sidebar-content .betterdocs-body, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header{ transition:background 0.5s; } .betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-sidebar-content .betterdocs-single-category-wrapper.active .betterdocs-single-category-inner .betterdocs-category-header{ transition:background 0.5s; } .betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-5 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-4 .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-2 .betterdocs-sidebar-content.betterdocs-category-sidebar .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header, .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-3 .betterdocs-single-category-wrapper .betterdocs-category-header{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-sidebar-bxk62zr#betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-single-category-wrapper .betterdocs-single-category-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{ transition:background 0.5s; } .betterdocs-sidebar-bxk62zr.betterdocs-sidebar.betterdocs-sidebar-layout-6 .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6 .betterdocs-sidebar-list-inner .betterdocs-category-header .betterdocs-category-header-inner .betterdocs-category-items-counts{ transition:background 0.5s,  border 0.5s, border-radius 0.5s, box-shadow 0.5s ; } .betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-category-header{ transition: border 0s, border-radius 0s, box-shadow 0s ; } .betterdocs-sidebar-bxk62zr.betterdocs-sidebar .betterdocs-sidebar-content .betterdocs-sidebar-list-wrapper .betterdocs-sidebar-list-inner .betterdocs-sidebar-list.betterdocs-sidebar-layout-6.active .betterdocs-sidebar-list-inner .betterdocs-body{ transition: border 0s, border-radius 0s, box-shadow 0s ; }"},"enableStickyTOC":true,"box_width_layout_1Range":100,"box_width_layout_1Unit":"%"} /--></div>
                    <!-- /wp:column -->

                    <!-- wp:column {"width":"66.66%"} -->
                    <div class="wp-block-column" style="flex-basis:66.66%"><!-- wp:betterdocs/breadcrumb {"blockId":"betterdocs-breadcrumb-3fbh1rb","blockMeta":{"desktop":" .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb { display:flex; justify-content:left } .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item a, .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item span{ font-size: 16px; padding: 0px; margin: 0px; color:#566e8b; } .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .breadcrumb-delimiter .breadcrumb-delimiter-icon{ margin: 0px; padding: 0px; color:#566e8b } ","tab":" .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item a, .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item span{ color:#566e8b } .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .breadcrumb-delimiter .breadcrumb-delimiter-icon{ color:#566e8b } ","mobile":" .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item a, .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .betterdocs-breadcrumb-list .betterdocs-breadcrumb-item span{ color:#566e8b } .betterdocs-breadcrumb.betterdocs-breadcrumb-3fbh1rb .breadcrumb-delimiter .breadcrumb-delimiter-icon{ color:#566e8b } "}} /-->

                    <!-- wp:post-title {"style":{"spacing":{"margin":{"bottom":"30px"}},"typography":{"fontSize":"36px","textTransform":"uppercase"}}} /-->

                    <!-- wp:betterdocs/betterdocs-print {"blockId":"betterdocs-printicon-ks4kqe2","blockMeta":{"desktop":".betterdocs-printicon-ks4kqe2.betterdocs-print-pdf{ float:right; }","tab":"","mobile":"","desktopHover":"","tabHover":"","mobileHover":"","extraStyles":""}} /-->

                    <!-- wp:betterdocs/table-of-contents {"blockId":"betterdocs-table-of-contents-lbmv3gj","blockMeta":{"desktop":" .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj { } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc { background-color:#ffffff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-title { font-size: 18px; color:#3f5876; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a{ font-size: 14px; color:#566e8b; margin-top: 5px; margin-right: 0px; margin-left: 0px; margin-bottom: 5px; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc { position: relative; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc a.active:after{ width: 0px; content: \u0022\u0022; position: absolute; height: 1.6em; left: -1px; background-color: #528fff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a:hover{ color:#566e8b; } ","tab":" .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj { } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc { background-color:#ffffff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-title { color:#3f5876; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a{ color:#566e8b; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc { position: relative; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc a.active:after{ width: 0px; content: \u0022\u0022; position: absolute; height: 1.6em; left: -1px; background-color: #528fff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a:hover{ color:#566e8b; } ","mobile":" .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj { } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc { background-color:#ffffff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-title { color:#3f5876; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a{ color:#566e8b; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc { position: relative; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc ul.betterdocs-hierarchial-toc a.active:after{ width: 0px; content: \u0022\u0022; position: absolute; height: 1.6em; left: -1px; background-color: #528fff; } .betterdocs-toc-block.betterdocs-table-of-contents-lbmv3gj .betterdocs-toc \u003e .toc-list li a:hover{ color:#566e8b; } "}} /-->

                    <!-- wp:betterdocs/single-doc-content {"blockId":"single-doc-content-s2zhxua","blockMeta":{"desktop":" .betterdocs-entry-content.single-doc-content-s2zhxua{ } .betterdocs-entry-content.single-doc-content-s2zhxua #betterdocs-single-content{ color:#4d4d4d; } ","tab":" .betterdocs-entry-content.single-doc-content-s2zhxua{ } .betterdocs-entry-content.single-doc-content-s2zhxua #betterdocs-single-content{ color:#4d4d4d; } ","mobile":" .betterdocs-entry-content.single-doc-content-s2zhxua{ } .betterdocs-entry-content.single-doc-content-s2zhxua #betterdocs-single-content{ color:#4d4d4d; } "}} /-->

                    <!-- wp:betterdocs/doc-navigation {"blockId":"betterdocs-doc-navigation-oa8ehly","blockMeta":{"desktop":" .docs-navigation.betterdocs-doc-navigation-oa8ehly a { color:#3f5876; font-size: 15px; } .docs-navigation.betterdocs-doc-navigation-oa8ehly a:hover { color:#3f5876 } .docs-navigation.betterdocs-doc-navigation-oa8ehly a svg{ fill:#5edf8e; } ","tab":" .docs-navigation.betterdocs-doc-navigation-oa8ehly a{ color:#3f5876; } .docs-navigation.betterdocs-doc-navigation-oa8ehly a:hover { color:#3f5876 } .docs-navigation.betterdocs-doc-navigation-oa8ehly a svg{ fill:#5edf8e; } ","mobile":" .docs-navigation.betterdocs-doc-navigation-oa8ehly a{ color:#3f5876; } .docs-navigation.betterdocs-doc-navigation-oa8ehly a:hover { color:#3f5876 } .docs-navigation.betterdocs-doc-navigation-oa8ehly a svg{ fill:#5edf8e; } "}} /-->

                    <!-- wp:betterdocs/reactions {"blockId":"betterdocs-reactions-e2aw36p","blockMeta":{"desktop":" .betterdocs-article-reactions.betterdocs-reactions-e2aw36p{ background:#fff; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p:hover{ background:#fff; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reactions-heading h5 { color:#566e8b; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a{ width:29px; height:29px; background:#19ca9e } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a:hover{ background:#fff } .betterdocs-article-reactions .betterdocs-article-reaction-links li a{ transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover{ } .betterdocs-article-reactions .betterdocs-article-reaction-links li a svg path{ fill:#fff } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover svg path{ fill:#19ca9e } ","tab":" .betterdocs-article-reactions.betterdocs-reactions-e2aw36p{ background:#fff; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p:hover{ background:#fff; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reactions-heading h5 { color:#566e8b; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a{ background:#19ca9e } .betterdocs-article-reactions .betterdocs-article-reaction-links li a{ border 0.5s, border-radius 0.5s, box-shadow 0.5s } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover{ } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a:hover{ background:#fff fill:#fff } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover svg path{ fill:#19ca9e } ","mobile":" .betterdocs-article-reactions.betterdocs-reactions-e2aw36p{ background:#fff; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p:hover{ background:#fff; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reactions-heading h5 { color:#566e8b; } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a{ background:#19ca9e } .betterdocs-article-reactions .betterdocs-article-reaction-links li a{ border 0.5s, border-radius 0.5s, box-shadow 0.5s } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover{ } .betterdocs-article-reactions.betterdocs-reactions-e2aw36p .betterdocs-article-reaction-links li a:hover{ background:#fff fill:#fff } .betterdocs-article-reactions .betterdocs-article-reaction-links li a:hover svg path{ fill:#19ca9e } "}} /-->

                    <!-- wp:betterdocs/social-share {"blockId":"betterdocs-social-share-ng2ohrn","blockMeta":{"desktop":" .betterdocs-social-share.betterdocs-social-share-ng2ohrn{ display:flex; justify-content:left; transition: border 0.5s, border-radius 0.5s, box-shadow 0.5s ; background:transparent; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn:hover{ } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5{ color:#566e8b; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5:hover{ color:#566e8b } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-links li a img{ } ","tab":" .betterdocs-social-share.betterdocs-social-share-ng2ohrn{ background:transparent; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn:hover{ } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5{ color:#566e8b; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5:hover{ color:#566e8b } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-links li a img{ } ","mobile":" .betterdocs-social-share.betterdocs-social-share-ng2ohrn{ background:transparent; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn:hover{ } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5{ color:#566e8b; } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-heading h5:hover{ color:#566e8b } .betterdocs-social-share.betterdocs-social-share-ng2ohrn .betterdocs-social-share-links li a img{ } "}} /-->

                    <!-- wp:betterdocs/date {"blockId":"betterdocs-date-iutg3n4","blockMeta":{"desktop":" .update-date.betterdocs-date-iutg3n4 { display:flex; justify-content:left; color:#566e8b; } ","tab":" .update-date.betterdocs-date-iutg3n4 { color:#566e8b; } ","mobile":" .update-date.betterdocs-date-iutg3n4 { color:#566e8b; } "}} /--></div>
                    <!-- /wp:column --></div>
                    <!-- /wp:columns --></div>
                    <!-- /wp:group --></div>
                    <!-- /wp:group -->',
                'categories'    => array( 'betterdocs-single-docs' ),
                'keywords'      => array( 'betterdocs', 'single docs layout 1' ),
                'viewportWidth' => 800,
            )
        );
    }
}
